> ## Documentation Index
> Fetch the complete documentation index at: https://edenai-docs-github-copilot-integration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Expert Models

> Use the /v3/info endpoints to discover all available expert model features, providers, and models.

export const TechArticleSchema = ({title, description, path, articleSection, about, proficiencyLevel = "Beginner", dependencies, keywords = [], datePublished, dateModified, image, inLanguage = "en"}) => {
  const baseUrl = "https://www.edenai.co/docs";
  const canonicalUrl = `${baseUrl}/${path}`.replace(/\/+$/, "");
  const ogParams = new URLSearchParams({
    division: articleSection || "",
    title: title || "",
    description: description || ""
  });
  const resolvedImage = image || `https://edenai.mintlify.app/_mintlify/api/og?${ogParams.toString()}`;
  const data = {
    "@context": "https://schema.org",
    "@type": "TechArticle",
    "@id": `${canonicalUrl}#techarticle`,
    mainEntityOfPage: {
      "@type": "WebPage",
      "@id": canonicalUrl
    },
    headline: title,
    name: title,
    description: description,
    url: canonicalUrl,
    inLanguage: inLanguage,
    isPartOf: {
      "@type": "WebSite",
      name: "Eden AI Documentation",
      url: baseUrl
    },
    author: [{
      "@type": "Organization",
      name: "Eden AI",
      url: "https://www.edenai.co/"
    }],
    publisher: {
      "@type": "Organization",
      name: "Eden AI",
      url: "https://www.edenai.co/",
      logo: {
        "@type": "ImageObject",
        url: "https://www.edenai.co/assets/logo.png"
      }
    }
  };
  if (articleSection) data.articleSection = articleSection;
  if (about) data.about = {
    "@type": "Thing",
    name: about
  };
  if (proficiencyLevel) data.proficiencyLevel = proficiencyLevel;
  if (dependencies) data.dependencies = dependencies;
  if (keywords && keywords.length) data.keywords = keywords;
  if (datePublished) data.datePublished = datePublished;
  if (dateModified) data.dateModified = dateModified;
  data.image = Array.isArray(resolvedImage) ? resolvedImage : [resolvedImage];
  const json = JSON.stringify(data);
  const schemaId = `techarticle-${canonicalUrl}`;
  React.useEffect(() => {
    if (typeof document === "undefined") return;
    document.querySelectorAll(`script[data-schema-id="${schemaId}"]`).forEach(n => n.remove());
    const script = document.createElement("script");
    script.type = "application/ld+json";
    script.dataset.schemaId = schemaId;
    script.textContent = json;
    document.head.appendChild(script);
    return () => script.remove();
  }, [json, schemaId]);
  return null;
};

<TechArticleSchema title={"List Expert Models"} description={"Use the /v3/info endpoints to discover all available expert model features, providers, and models."} path="v3/expert-models/listing-models" articleSection="Expert Models" about={"AI API"} proficiencyLevel="Intermediate" keywords={["Eden AI", "AI API", "expert models", "multi-provider"]} datePublished="2026-05-06T00:00:00Z" dateModified="2026-05-22T00:00:00Z" />

Use the `/v3/info` endpoints to discover all available expert model features, providers, and models.

## Endpoints

| Endpoint                              | Description                                                        |
| ------------------------------------- | ------------------------------------------------------------------ |
| `GET /v3/info`                        | List all features and subfeatures                                  |
| `GET /v3/info/{feature}/{subfeature}` | Get providers, models, pricing, and schemas for a specific feature |

## List All Features

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.edenai.run/v3/info \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.edenai.run/v3/info",
      headers={"Authorization": "Bearer YOUR_API_KEY"}
  )

  for feature in response.json()["features"]:
      print(feature["name"])
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.edenai.run/v3/info", {
    headers: { "Authorization": "Bearer YOUR_API_KEY" }
  });

  const { features } = await response.json();
  features.forEach(f => console.log(f.name));
  ```
</CodeGroup>

## Get Feature Details

Retrieve providers, pricing, and input/output schemas for a specific feature.

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.edenai.run/v3/info/text/moderation \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.edenai.run/v3/info/text/moderation",
      headers={"Authorization": "Bearer YOUR_API_KEY"}
  )

  details = response.json()
  for model in details.get("models", []):
      print(model["model"], model["pricing"])
  ```
</CodeGroup>

## Response Fields

| Field           | Description                           |
| --------------- | ------------------------------------- |
| `models`        | Available providers and model strings |
| `pricing`       | Cost per provider                     |
| `input_schema`  | Parameters accepted by this feature   |
| `output_schema` | Structure of the response             |

<Tip>
  You can also browse all features and providers visually in the [Eden AI model catalog](https://app.edenai.run/models).
</Tip>

<Tip icon="earth-europe">
  Need EU data residency? Hit `https://api.eu.edenai.run/v3/info` instead and the response is automatically filtered to EU-eligible providers and models. See [EU Endpoint](/v3/data-governance/eu-endpoint).
</Tip>

<Note>
  Looking for LLMs like GPT-4o or Claude? See [List LLM Models](/v3/llms/listing-models) for the full list of chat models.
</Note>
